[**@rxap/ngx-bootstrap v19.1.0-dev.0**](../README.md)

***

[@rxap/ngx-bootstrap](../globals.md) / StandaloneApplication

# Class: StandaloneApplication\<O, Env\>

Defined in: [standalone-application.ts:13](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/standalone-application.ts#L13)

## Extends

- [`Application`](Application.md)\<`O`, `ApplicationRef`, `Env`\>

## Type Parameters

• **O** *extends* `ApplicationConfig`

• **Env** *extends* `Environment`

## Constructors

### new StandaloneApplication()

> **new StandaloneApplication**\<`O`, `Env`\>(`environment`, `rootComponent`, `options`?, `configLoadOptions`?): [`StandaloneApplication`](StandaloneApplication.md)\<`O`, `Env`\>

Defined in: [standalone-application.ts:15](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/standalone-application.ts#L15)

#### Parameters

##### environment

`Env`

##### rootComponent

`Type$1`\<`unknown`\>

##### options?

`O`

##### configLoadOptions?

`ConfigLoadOptions` = `...`

#### Returns

[`StandaloneApplication`](StandaloneApplication.md)\<`O`, `Env`\>

#### Overrides

[`Application`](Application.md).[`constructor`](Application.md#constructors)

## Properties

### app

> **app**: `null` \| `ApplicationRef` = `null`

Defined in: [application.ts:39](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L39)

#### Inherited from

[`Application`](Application.md).[`app`](Application.md#app)

***

### config

> **config**: `null` \| `ConfigService`\<`Record`\<`string`, `any`\>\> = `null`

Defined in: [application.ts:41](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L41)

#### Inherited from

[`Application`](Application.md).[`config`](Application.md#config)

***

### configLoadOptions?

> `readonly` `optional` **configLoadOptions**: `ConfigLoadOptions`

Defined in: [application.ts:48](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L48)

#### Inherited from

[`Application`](Application.md).[`configLoadOptions`](Application.md#configloadoptions-1)

***

### environment

> `readonly` **environment**: `Env`

Defined in: [application.ts:46](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L46)

#### Inherited from

[`Application`](Application.md).[`environment`](Application.md#environment-1)

***

### logger

> **logger**: `null` \| `Console` = `null`

Defined in: [application.ts:40](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L40)

#### Inherited from

[`Application`](Application.md).[`logger`](Application.md#logger)

***

### options

> `readonly` **options**: `O`

Defined in: [application.ts:47](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L47)

#### Inherited from

[`Application`](Application.md).[`options`](Application.md#options-1)

## Methods

### after()

> **after**(`fnc`): `void`

Defined in: [application.ts:90](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L90)

#### Parameters

##### fnc

[`ApplicationAfterFunction`](../type-aliases/ApplicationAfterFunction.md)\<`O`, `ApplicationRef`, `Env`\>

#### Returns

`void`

#### Inherited from

[`Application`](Application.md).[`after`](Application.md#after)

***

### before()

> **before**(`fnc`): `void`

Defined in: [application.ts:86](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L86)

#### Parameters

##### fnc

[`ApplicationBeforeFunction`](../type-aliases/ApplicationBeforeFunction.md)\<`O`, `ApplicationRef`, `Env`\>

#### Returns

`void`

#### Inherited from

[`Application`](Application.md).[`before`](Application.md#before)

***

### bootstrap()

> **bootstrap**(): `Promise`\<`void`\>

Defined in: [application.ts:51](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L51)

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`bootstrap`](Application.md#bootstrap)

***

### create()

> `protected` **create**(): `Promise`\<`ApplicationRef`\>

Defined in: [standalone-application.ts:32](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/standalone-application.ts#L32)

#### Returns

`Promise`\<`ApplicationRef`\>

#### Overrides

[`Application`](Application.md).[`create`](Application.md#create)

***

### handleAfter()

> `protected` **handleAfter**(`app`, `logger`, `config`, `options`, `environment`): `Promise`\<`void`\>

Defined in: [application.ts:100](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L100)

#### Parameters

##### app

`ApplicationRef`

##### logger

`Console`

##### config

`ConfigService`

##### options

`O`

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`handleAfter`](Application.md#handleafter)

***

### handleBefore()

> `protected` **handleBefore**(`config`, `options`, `environment`): `Promise`\<`void`\>

Defined in: [application.ts:94](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L94)

#### Parameters

##### config

`ConfigService`

##### options

`O`

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`handleBefore`](Application.md#handlebefore)

***

### importProvidersFrom()

> **importProvidersFrom**(...`sources`): `void`

Defined in: [standalone-application.ts:27](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/standalone-application.ts#L27)

#### Parameters

##### sources

...`ImportProvidersSource`[]

#### Returns

`void`

***

### loadConfig()

> `protected` **loadConfig**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:106](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L106)

#### Parameters

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`loadConfig`](Application.md#loadconfig)

***

### prepareConfig()

> `protected` **prepareConfig**(`config`): `void`

Defined in: [standalone-application.ts:36](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/standalone-application.ts#L36)

#### Parameters

##### config

`O`

#### Returns

`void`

#### Overrides

[`Application`](Application.md).[`prepareConfig`](Application.md#prepareconfig)

***

### prepareEnvironment()

> `protected` **prepareEnvironment**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:110](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L110)

#### Parameters

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`prepareEnvironment`](Application.md#prepareenvironment)
